/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Attached document
 */
@ApiModel(description = "Attached document")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model43 {
  @SerializedName("content_type")
  private String contentType = null;

  @SerializedName("is_original")
  private Boolean isOriginal = null;

  @SerializedName("content_url")
  private String contentUrl = null;

  public Model43 contentType(String contentType) {
    this.contentType = contentType;
    return this;
  }

   /**
   * Content type of the attached document
   * @return contentType
  **/
  @ApiModelProperty(example = "image/png", value = "Content type of the attached document")
  public String getContentType() {
    return contentType;
  }

  public void setContentType(String contentType) {
    this.contentType = contentType;
  }

  public Model43 isOriginal(Boolean isOriginal) {
    this.isOriginal = isOriginal;
    return this;
  }

   /**
   * Indicates if the attached document is an original or duplicate
   * @return isOriginal
  **/
  @ApiModelProperty(example = "false", value = "Indicates if the attached document is an original or duplicate")
  public Boolean isIsOriginal() {
    return isOriginal;
  }

  public void setIsOriginal(Boolean isOriginal) {
    this.isOriginal = isOriginal;
  }

  public Model43 contentUrl(String contentUrl) {
    this.contentUrl = contentUrl;
    return this;
  }

   /**
   * URL to download the prescription document
   * @return contentUrl
  **/
  @ApiModelProperty(value = "URL to download the prescription document")
  public String getContentUrl() {
    return contentUrl;
  }

  public void setContentUrl(String contentUrl) {
    this.contentUrl = contentUrl;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model43 model43 = (Model43) o;
    return Objects.equals(this.contentType, model43.contentType) &&
        Objects.equals(this.isOriginal, model43.isOriginal) &&
        Objects.equals(this.contentUrl, model43.contentUrl);
  }

  @Override
  public int hashCode() {
    return Objects.hash(contentType, isOriginal, contentUrl);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model43 {\n");
    
    sb.append("    contentType: ").append(toIndentedString(contentType)).append("\n");
    sb.append("    isOriginal: ").append(toIndentedString(isOriginal)).append("\n");
    sb.append("    contentUrl: ").append(toIndentedString(contentUrl)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

